# `wxGridCellNumberRenderer`
[🔗](https://github.com/erlang/otp/blob/master/lib/wx/src/gen/wxGridCellNumberRenderer.erl#L58)

This class may be used to format integer data in a cell.

See:
* `m:wxGridCellRenderer`

* `m:wxGridCellBoolRenderer`

* `m:wxGridCellFloatRenderer`

* `m:wxGridCellStringRenderer`

This class is derived, and can use functions, from:

* `m:wxGridCellStringRenderer`

* `m:wxGridCellRenderer`

wxWidgets docs: [wxGridCellNumberRenderer](https://docs.wxwidgets.org/3.2/classwx_grid_cell_number_renderer.html)

# `wxGridCellNumberRenderer`

```elixir
-type wxGridCellNumberRenderer() :: wx:wx_object().
```

# `destroy`

```elixir
-spec destroy(This :: wxGridCellNumberRenderer()) -> ok.
```

Destroys the object

# `new`

```elixir
-spec new() -> wxGridCellNumberRenderer().
```

Default constructor.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
